Package org.eclipse.mat.ui.internal.browser

## Class QueryBrowserPopup

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.PopupDialog
    - - org.eclipse.mat.ui.internal.browser.QueryBrowserPopup

All Implemented Interfaces:
  `IShellProvider`

    public class QueryBrowserPopup
    extends PopupDialog

### Nested Class Summary

Nested Classes
`static interface` `QueryBrowserPopup.Element`

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.PopupDialog

`HOVER_SHELLSTYLE, INFOPOPUP_SHELLSTYLE, INFOPOPUPRESIZE_SHELLSTYLE, POPUP_HORIZONTALSPACING, POPUP_IMG_MENU, POPUP_IMG_MENU_DISABLED, POPUP_MARGINHEIGHT, POPUP_MARGINWIDTH, POPUP_VERTICALSPACING`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK`

### Constructor Summary

Constructors
`QueryBrowserPopup​(MultiPaneEditor editor)`
`QueryBrowserPopup​(MultiPaneEditor editor, boolean onlyHistory)`
`QueryBrowserPopup​(MultiPaneEditor editor, boolean onlyHistory, IPolicy policy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `close()`

### Methods inherited from class org.eclipse.jface.dialogs.PopupDialog

`open`

### Methods inherited from class org.eclipse.jface.window.Window

`create, getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryBrowserPopup

    public QueryBrowserPopup​(MultiPaneEditor editor)

#### QueryBrowserPopup

    public QueryBrowserPopup​(MultiPaneEditor editor,
                             boolean onlyHistory)

#### QueryBrowserPopup

    public QueryBrowserPopup​(MultiPaneEditor editor,
                             boolean onlyHistory,
                             IPolicy policy)

### Method Detail

#### close

    public boolean close()

Overrides:
  `close` in class `PopupDialog`